| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions | Variables
MiniBrunelScenario Namespace Reference

## Functions
def | load_scenario ()

## Variables
int | NUMBEROFEVENTS = 828
int | NUMBEROFEVENTSINFLIGHT = 1
int | NUMBEROFALGOSINFLIGHT = 100
int | NUMBEROFTHREADS = 1
bool | CLONEALGOS = False
bool | DUMPQUEUES = False
int | VERBOSITY = 3
| NumberOfEvents = NUMBEROFEVENTS
| NumberOfEventsInFlight = NUMBEROFEVENTSINFLIGHT
| NumberOfAlgosInFlight = NUMBEROFALGOSINFLIGHT
| NumberOfThreads = NUMBEROFTHREADS
| CloneAlgos = CLONEALGOS
| DumpQueues = DUMPQUEUES
| Verbosity = VERBOSITY
dictionary | miniBruneljson
| msgSvc = InertMessageSvc("MessageSvc", OutputLevel=INFO)
| MessageSvcType
| OutputLevel
| crunchers = load_scenario()
| whiteboard = HiveWhiteBoard("EventDataSvc", EventSlots=NumberOfEventsInFlight)
| slimeventloopmgr = HiveSlimEventLoopMgr(OutputLevel=INFO)
| scheduler
| app = ApplicationMgr()
| TopAlg
| EvtSel
| EvtMax
| EventLoop
| ExtSvc

## Function Documentation

def MiniBrunelScenario.load_scenario | ( |  | ) |

Definition at line 147 of file MiniBrunelScenario.py.

147 def load_scenario():
148 workflow = miniBruneljson
149 cpu_cruncher_algos = []
150 for algo in workflow["algorithms"]:
151 theAvgRuntime = float(algo["runtimes_wall"][0] / 1000.)
152 new_algo = CPUCruncher("%s@%s" % (algo["name"], algo["type"]),
153 avgRuntime=theAvgRuntime,
154 varRuntime=theAvgRuntime * 0.01,
155 DataInputs=algo["inputs"],
156 DataOutputs=algo["outputs"],
157 OutputLevel=INFO
158 )
159 cpu_cruncher_algos.append(new_algo)
160 return cpu_cruncher_algos
161
162 # Set output level threshold 2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL )
163
164
MiniBrunelScenario.load_scenario
def load_scenario()
Definition: MiniBrunelScenario.py:147

## Variable Documentation

MiniBrunelScenario.app = ApplicationMgr()

Definition at line 181 of file MiniBrunelScenario.py.

bool MiniBrunelScenario.CLONEALGOS = False

Definition at line 27 of file MiniBrunelScenario.py.

MiniBrunelScenario.CloneAlgos = CLONEALGOS

Definition at line 36 of file MiniBrunelScenario.py.

MiniBrunelScenario.crunchers = load_scenario()

Definition at line 170 of file MiniBrunelScenario.py.

bool MiniBrunelScenario.DUMPQUEUES = False

Definition at line 28 of file MiniBrunelScenario.py.

MiniBrunelScenario.DumpQueues = DUMPQUEUES

Definition at line 37 of file MiniBrunelScenario.py.

MiniBrunelScenario.EventLoop

Definition at line 185 of file MiniBrunelScenario.py.

MiniBrunelScenario.EvtMax

Definition at line 184 of file MiniBrunelScenario.py.

MiniBrunelScenario.EvtSel

Definition at line 183 of file MiniBrunelScenario.py.

MiniBrunelScenario.ExtSvc

Definition at line 186 of file MiniBrunelScenario.py.

MiniBrunelScenario.MessageSvcType

Definition at line 167 of file MiniBrunelScenario.py.

dictionary MiniBrunelScenario.miniBruneljson

Definition at line 41 of file MiniBrunelScenario.py.

MiniBrunelScenario.msgSvc = InertMessageSvc("MessageSvc", OutputLevel=INFO)

Definition at line 165 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFALGOSINFLIGHT = 100

Definition at line 25 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfAlgosInFlight = NUMBEROFALGOSINFLIGHT

Definition at line 34 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFEVENTS = 828

Definition at line 23 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfEvents = NUMBEROFEVENTS

Definition at line 32 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFEVENTSINFLIGHT = 1

Definition at line 24 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfEventsInFlight = NUMBEROFEVENTSINFLIGHT

Definition at line 33 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFTHREADS = 1

Definition at line 26 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfThreads = NUMBEROFTHREADS

Definition at line 35 of file MiniBrunelScenario.py.

MiniBrunelScenario.OutputLevel

Definition at line 168 of file MiniBrunelScenario.py.

MiniBrunelScenario.scheduler

Initial value:
1 = ForwardSchedulerSvc(MaxEventsInFlight=NumberOfEventsInFlight,
2 MaxAlgosInFlight=100,
3 OutputLevel=WARNING)

Definition at line 176 of file MiniBrunelScenario.py.

MiniBrunelScenario.slimeventloopmgr = HiveSlimEventLoopMgr(OutputLevel=INFO)

Definition at line 174 of file MiniBrunelScenario.py.

MiniBrunelScenario.TopAlg

Definition at line 182 of file MiniBrunelScenario.py.

int MiniBrunelScenario.VERBOSITY = 3

Definition at line 29 of file MiniBrunelScenario.py.

MiniBrunelScenario.Verbosity = VERBOSITY

Definition at line 38 of file MiniBrunelScenario.py.

MiniBrunelScenario.whiteboard = HiveWhiteBoard("EventDataSvc", EventSlots=NumberOfEventsInFlight)

Definition at line 172 of file MiniBrunelScenario.py.